Create, retrieve, update, and delete payment agreements.
Get Payment Agreement
Returns the payment agreement for the specified invoice.
query Parameters
erpIdThe ERP/invoice ID.
Get Payment Agreement โบ Responses
Success
erpIdcustomerGuidcreatedupdatedcreatedBycommentintereststatus0 (Created), 10 (Active), 20 (Completed), 30 (Incompleted), -1 (Deleted).
stopReminderspaidtotalAmounttotalRemainingAmounttotalPaidAmounttotalOverdueAmountnumberOfTermsnextTermDueDateCreate Payment Agreement
Creates a new payment agreement for the specified invoice. The invoice must have status Sent or Partial for the agreement to be created. When the agreement is created, reminders for the invoice are stopped and the invoice due date is updated to the latest payment line date if payment lines are provided. Only one active payment agreement can exist per invoice at a time.
Create Payment Agreement โบ Request Body
erpIdcustomerGuidcreatedupdatedcreatedBycommentintereststatus0 (Created), 10 (Active), 20 (Completed), 30 (Incompleted), -1 (Deleted).
stopReminderspaidtotalAmounttotalRemainingAmounttotalPaidAmounttotalOverdueAmountnumberOfTermsnextTermDueDateCreate Payment Agreement โบ Responses
Payment agreement created
Update Payment Agreement
Updates the status of an existing payment agreement linked to an invoice. Supported status transitions are activate and delete.
Note: The invoice must have status Sent or Partial for the update to be accepted.
The payment agreement must exist and cannot be set to a status it already has.
Update Payment Agreement โบ Request Body
erpIdstatus0 (Created), 10 (Active), 20 (Completed), 30 (Incompleted), -1 (Deleted).
Update Payment Agreement โบ Responses
Payment agreement updated

